Get Wealth Metrics
curl --request GET \
--url https://api.aegisintent.xyz/v1/actions/wealth/metrics \
--header 'Authorization: Bearer <token>' \
--header 'X-Aegis-Email: <x-aegis-email>'import requests
url = "https://api.aegisintent.xyz/v1/actions/wealth/metrics"
headers = {
"X-Aegis-Email": "<x-aegis-email>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Aegis-Email': '<x-aegis-email>', Authorization: 'Bearer <token>'}
};
fetch('https://api.aegisintent.xyz/v1/actions/wealth/metrics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"totalDeposited": "<string>",
"currentValue": "<string>"
}Actions API
Get Wealth Metrics
Retrieve portfolio performance metrics for the authenticated agent, including total deposits, current value, yield earned, and active position breakdown across Aegis Vault and Synthra V3.
GET
/
v1
/
actions
/
wealth
/
metrics
Get Wealth Metrics
Retrieve portfolio performance metrics for the authenticated agent, including total deposits, current value, yield earned, and active position breakdown across the Aegis Vault and Synthra V3.
Was this page helpful?
⌘I